@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;600&display=swap");
:root {
    --teal: #009999;
}

* {
    font-family: "Nunito", sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    outline: none;
    border: none;
    text-transform: capitalize;
    transition: all 0.2s linear;
}

*::selection {
    background: var(--teal);
    color: #333;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth !important;
}

html::-webkit-scrollbar {
    width: 1.4rem;
}

html::-webkit-scrollbar-track {
    background: #222;
}

html::-webkit-scrollbar-thumb {
    background: var(--teal);
}

body {
    background: #111;
    overflow-x: hidden;
    padding-left: 35rem;
}

section {
    min-height: 100vh;
    padding: 1rem;
}

.btn {
    padding: 0.7rem 3rem;
    background: #333;
    color: #fff;
    cursor: pointer;
    margin-top: 1rem;
    font-size: 2rem;
    border-radius: 5rem;
    margin-top: 25px;
}

.btn i {
    padding: 0 0.5rem;
    font-size: 1.8rem;
}

.btn:hover {
    background: var(--teal);
}

.heading {
    text-align: center;
    margin: 0 6rem;
    font-size: 4rem;
    padding: 1rem;
    border-bottom: 0.1rem solid #fff4;
    color: #fff;
}

.heading span {
    color: var(--teal);
}

header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    height: 100%;
    width: 35rem;
    background: #1a1a1a;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
    text-align: center;
}

header .user img {
    height: 17rem;
    width: 17rem;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 1rem;
    border: 0.7rem solid var(--teal);
}

header .user .name {
    font-size: 4rem;
    color: #fff;
    font-family: 'Corinthia', cursive;
    font-weight: 800;
}

header .user .post {
    font-size: 2rem;
    color: #eee;
}

header .navbar {
    width: 100%;
}

header .navbar ul {
    list-style: none;
    padding: 1rem 3rem;
}

header .navbar ul li a {
    display: block;
    padding: 1rem;
    margin: 1.5rem 0;
    background: #333;
    color: #fff;
    font-size: 2rem;
    border-radius: 5rem;
}

header .navbar ul li a:hover {
    background: var(--teal);
}

#menu {
    position: fixed;
    top: 2rem;
    right: 2rem;
    background: #333;
    color: #fff;
    cursor: pointer;
    font-size: 2.5rem;
    padding: 1rem 1.5rem;
    z-index: 1000;
    border-radius: 8px;
    display: none;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    -o-border-radius: 8px;
}

.home {
    display: flex;
    justify-content: center;
    flex-flow: column;
    padding: 0 15rem;
}

.home h3 {
    font-size: 2.5rem;
    color: #fff;
}

.home h1 {
    font-size: 6rem;
    color: #fff;
    overflow: hidden;
    border-right: .15em solid transparent;
    white-space: nowrap;
    margin-top: 20px;
    animation: typing 4s steps(40, end), blink-caret step-end 5s;
    -webkit-animation: typing 4s steps(40, end), blink-caret step-end 5s;
}

.home h1 span {
    color: var(--teal);
}

.home p {
    font-size: 2.3rem;
    color: #eee;
    padding: 1rem 0;
    margin-top: 20px;
    line-height: 1.6;
    margin-bottom: 25px;
    text-transform: none;
}

.about .row {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 1rem 0;
    margin-top: 50px;
}

.about .row .info {
    flex: 1 1 48rem;
    padding: 2rem 1rem;
    padding-left: 6rem;
}

.about .row .info h3 {
    font-size: 2rem;
    color: #eee;
    padding: 1rem 0;
    font-weight: normal;
}

.about .row .info h3 span {
    color: #009999;
    padding: 0 0.5rem;
}

.about .row .counter {
    flex: 1 1 48rem;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.about .row .counter .box {
    width: 20rem;
    background: #222;
    text-align: center;
    padding: 2rem;
    margin: 2rem;
}

.about .row .counter .box span {
    font-size: 4rem;
    color: var(--teal);
}

.about .row .counter .box h3 {
    font-size: 2rem;
    color: #fff;
}

.volunteering .box-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 1rem 0;
    padding-left: 3rem;
    margin-top: 50px;
}

.volunteering .box-container .box {
    width: 28rem;
    margin: 4rem 1rem;
    padding-left: 4rem;
    border-left: 0.2rem solid #fff;
    position: relative;
    margin-left: 10px;
    margin-right: 10px;
}

.volunteering .box-container .box span {
    font-size: 1.3rem;
    background: #222;
    color: #fff;
    border-radius: 5rem;
    padding: 0.5rem 2.5rem;
}

.volunteering .box-container .box h3 {
    font-size: 2rem;
    color: #fff;
    padding-top: 1.5rem;
}

.volunteering .box-container .box h2 {
    margin-top: 12px;
}

.volunteering .box-container .box h2 a {
    font-size: 1.5rem;
    color: #009999;
    padding: 1.2rem 0;
    font-weight: 500;
    line-height: 1.3;
    text-decoration: none;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
}

.volunteering .box-container .box h2 a:hover {
    color: #fff;
}

.volunteering .box-container .box ul {
    list-style: disc;
    margin-top: 15px;
}

.volunteering .box-container .box ul li {
    color: #eee;
    font-size: 14px;
    line-height: 1.8;
    font-weight: 300;
}

.volunteering .box-container .box ul li::marker {
    color: #009999;
}

.volunteering .box-container .box i {
    position: absolute;
    top: -1.5rem;
    left: -2.5rem;
    height: 5rem;
    width: 5rem;
    border-radius: 50%;
    line-height: 5rem;
    text-align: center;
    font-size: 2rem;
    color: #fff;
    background: var(--teal);
}

.portfolio .box-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 2rem 0;
    margin-top: 50px;
}

.portfolio .box-container .box {
    height: 23rem;
    width: 35rem;
    border-radius: 0.5rem;
    margin: 1.2rem;
    overflow: hidden;
    cursor: pointer;
    margin-bottom: 20px;
    position: relative;
    display: flex;
    justify-content: center;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    -ms-border-radius: 0.5rem;
    -o-border-radius: 0.5rem;
}

.portfolio .box-container .box img {
    height: 100%;
    object-fit: contain;
}

.portfolio .box-container .box:hover img {
    transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    -o-transform: scale(1.2);
}

.contact .row {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.contact .row .content {
    flex: 1 1 30rem;
    padding: 4rem;
    padding-bottom: 0;
}

.contact .row form {
    flex: 1 1 45rem;
    padding: 2rem;
    margin: 2rem;
    margin-bottom: 4rem;
}

.contact .row form .box {
    padding: 1.5rem;
    margin: 1rem 0;
    background: #3333;
    color: #fff;
    text-transform: none;
    font-size: 1.7rem;
    width: 100%;
    margin-top: 20px;
}

.contact .row form .box::placeholder {
    text-transform: capitalize;
}

.contact .row form .message {
    height: 15rem;
    resize: none;
}

.contact .row .content .title {
    text-transform: uppercase;
    color: #fff;
    font-size: 3rem;
    padding-bottom: 2rem;
}

.contact .row .content .info h3 {
    display: flex;
    align-items: center;
    font-size: 2rem;
    color: #eee;
    padding: 1rem 0;
    font-weight: normal;
    text-transform: none;
}

.contact .row .content .info h3 i {
    padding-right: 1rem;
    color: var(--teal);
}

.social-icons {
    margin-top: 25px;
}

.social-icons a {
    display: inline-block;
}

.social-icons i {
    margin-top: 25px;
    margin-right: 18px;
    font-size: 30px;
    color: #eee;
    cursor: pointer;
    transition: 0.7s;
    -webkit-transition: 0.7s;
    -moz-transition: 0.7s;
    -ms-transition: 0.7s;
    -o-transition: 0.7s;
}

.social-icons i:hover {
    color: #009999;
    transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
}

.signature h3 {
    color: #eee;
    font-size: 16px;
    text-align: center;
}

.signature span {
    color: #009999;
    font-size: 16px;
}

#to-top {
    width: 4rem;
    height: 4rem;
    background-color: transparent;
    color: white;
    cursor: pointer;
    position: fixed;
    bottom: 5rem;
    right: 5rem;
    display: none;
}

#to-top:hover i {
    color: #009999;
}

#to-top i {
    font-size: 4rem;
}


/* media queries  */

@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }
    .home {
        padding: 1rem 4rem;
    }
}

@media (max-width: 991px) {
    header {
        left: -120%;
    }
    #menu {
        display: block;
    }
    header.toggle {
        left: 0%;
    }
    body {
        padding: 0;
    }
}

@media (max-width: 768px) {
    html {
        font-size: 50%;
    }
    .home h1 {
        font-size: 3rem;
    }
}

@media (max-width: 400px) {
    header {
        width: 100vw;
    }
    .heading {
        margin: 0 3rem;
    }
    .about .row .counter .box {
        width: 100%;
    }
    .volunteering .box-container .box {
        width: 100%;
    }
    .portfolio .box-container .box {
        width: 100%;
    }
    .contact .row form {
        margin: 3rem 0;
    }
}